#ifndef SIDEBARSTATE_H
#define SIDEBARSTATE_H

#include <QObject>
#if QT_VERSION >= QT_VERSION_CHECK(5,15,0)
#include <QtQml/qqml.h>
#endif

class SidebarState : public QObject
{
    Q_OBJECT
#if QT_VERSION >= QT_VERSION_CHECK(5,15,0)
    QML_ELEMENT
#endif
    Q_PROPERTY(bool sidebarState READ sidebarState)

public:
    explicit SidebarState(QObject *parent = nullptr);

    Q_INVOKABLE void setSidebarShow();
    bool sidebarState();
    bool sidebarValue = false;

signals:

public slots:
    void setSidebarState(QString state);

};

#endif // SIDEBARSTATE_H
